summaryrefslogtreecommitdiff
path: root/test/TEST-05-RLIMITS
diff options
context:
space:
mode:
authorMartin Pitt <martin@piware.de>2017-08-07 21:09:21 +0200
committerMartin Pitt <martin@piware.de>2017-08-10 08:43:13 +0200
commit818567fce693519eda9d7550a9ae21a7fc974b3c (patch)
tree3f25bf3ad0dff743160b64719a0ae47681b1ff89 /test/TEST-05-RLIMITS
parent22077c9c91bff600da78bd17f19a02dfcf1a56bd (diff)
downloadsystemd-818567fce693519eda9d7550a9ae21a7fc974b3c.tar.gz
test: Run qemu/nspawn tests with "set -e"
This catches errors like "ninja not found", missing programs etc. early, instead of silently ignoring them and trying to boot a broken VM. In install_config_files(), allow some distro specific files to be absent (such as /etc/sysconfig/init).
Diffstat (limited to 'test/TEST-05-RLIMITS')
-rwxr-xr-xtest/TEST-05-RLIMITS/test.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/TEST-05-RLIMITS/test.sh b/test/TEST-05-RLIMITS/test.sh
index e684b6dd2d..a1b855c5fb 100755
--- a/test/TEST-05-RLIMITS/test.sh
+++ b/test/TEST-05-RLIMITS/test.sh
@@ -1,6 +1,7 @@
#!/bin/bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
+set -e
TEST_DESCRIPTION="Resource limits-related tests"
. $TEST_BASE_DIR/test-functions